Package org.eclipse.net4j.util.ui.widgets

# Class FirstChildLayout

java.lang.Object
org.eclipse.swt.widgets.Layout
org.eclipse.net4j.util.ui.widgets.FirstChildLayout

public class FirstChildLayout extends Layout

Since:
  3.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`FirstChildLayout()`

## Method Summary

Modifier and Type
Method
Description
`protected Point`
`computeSize(Composite composite, int wHint, int hHint, boolean flushCache)`
`protected boolean`
`flushCache(Control control)`
`protected void`
`layout(Composite composite, boolean flushCache)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FirstChildLayout

public FirstChildLayout()

## Method Details

### computeSize

protected Point computeSize(Composite composite, int wHint, int hHint, boolean flushCache)

Specified by:
  `computeSize` in class `Layout`

### flushCache

protected boolean flushCache(Control control)

Overrides:
  `flushCache` in class `Layout`

### layout

protected void layout(Composite composite, boolean flushCache)

Specified by:
  `layout` in class `Layout`

### toString

public String toString()

Overrides:
  `toString` in class `Object`